## org.apache.cassandra.db.commitlog
Class CommitLogSegment

    java.lang.Object
      org.apache.cassandra.db.commitlog.CommitLogSegment

    public class CommitLogSegment

extends java.lang.Object

Nested Class Summary
`class` `CommitLogSegment.CommitLogContext`

Constructor Summary
`CommitLogSegment(int cfCount)`

Method Summary
`void` `close()`
`CommitLogSegment.CommitLogContext` `getContext()`
`org.apache.cassandra.db.commitlog.CommitLogHeader` `getHeader()`
`java.lang.String` `getPath()`
`long` `length()`
`void` `sync()`
`java.lang.String` `toString()`
`CommitLogSegment.CommitLogContext` `write(RowMutation rowMutation, java.lang.Object serializedRow)`
`void` `writeHeader()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommitLogSegment

    public CommitLogSegment(int cfCount)

Method Detail

### writeHeader

    public void writeHeader()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public CommitLogSegment.CommitLogContext write(RowMutation rowMutation,
                                                   java.lang.Object serializedRow)
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### sync

    public void sync()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getContext

    public CommitLogSegment.CommitLogContext getContext()

### getHeader

    public org.apache.cassandra.db.commitlog.CommitLogHeader getHeader()

### getPath

    public java.lang.String getPath()

### length

    public long length()

### close

    public void close()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2010 The Apache Software Foundation